## beav 1.40-11

=== Makefile ===
# This is the makefile for BSD UNIX
#CFLAGS=     -g -DUNIX
CFLAGS=     -O2 -DUNIX
CC=gcc

OFILES=		basic.o ebcdic.o fileio.o region.o text.o wangpc.o \
	buffer.o echo.o language.o main.o search.o tty.o window.o \
	cinfo.o extend.o kbd.o spawn.o ttyio.o termio.o tcap.o word.o \
	display.o file.o line.o random.o symbol.o ttykbd.o format.o


CFILES=     basic.c ebcdic.c fileio.c region.c text.c wangpc.c \
	buffer.c echo.c language.c main.c search.c tty.c window.c \
	cinfo.c extend.c kbd.c spawn.c ttyio.c termio.c tcap.c word.c \
	display.c file.c line.c random.c symbol.c ttykbd.c

HFILES=     def.h prototyp.h

beav:     $(OFILES)
	$(CC) $(CFLAGS) $(OFILES) -lncurses -o beav

clean:
	rm -f *.o beav

(OFILES):  $(HFILES)
