## beav 1.40

=== debian/changelog ===
beav (1:1.40-18.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007694).

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 20:55:42 +0100

beav (1:1.40-18.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Use host tools. Closes: #903521

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 12 Apr 2022 08:48:43 -0700

beav (1:1.40-18.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Remove timestamps from the build system. Closes: #777287

  [ Vagrant Cascadian ]
  * debian/rules: Pass -ffile-prefix-map via CFLAGS. Closes: #1006302

  [ Helmut Grohne ]
  * Fix FTCBFS: Use host tools. Closes: #903521

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Tue, 22 Feb 2022 17:00:32 -0800

beav (1:1.40-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #998993)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 00:16:45 +0200

beav (1:1.40-18) unstable; urgency=low

  * Repackaged with the original 1.40 source so that we get a proper diff.gz.
  * defs.h:
    + Removed prototypes for malloc and strcpy/strcat (Closes: #262572).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 Jul 2004 22:42:19 +0200

beav (1:1.40-17) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
  * beav.1:
    + Fixed documentation location (Closes: #210601).
  * Fixed warnings everywhere in the code.
  * main.c:
    + Added a help string to tell the user how to quit (Closes: #171933).
  * file.c:
    + Fixed an overflow in the filename display routine (Closes: #56546).
  * fileio.c:
    + Corrected wrong char signedness assumption that caused backup filenames
      to be mangled (Closes: #46376).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Jul 2004 11:36:18 +0200

beav (1:1.40-16) unstable; urgency=low

  * New maintainer (Closes: #227774).
  * debian/control:
    + Set policy to 3.6.1.0.
    + Removed caps in the short description.
  * debian/copyright:
    + Added the GPL blurb to the copyright file.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jan 2004 13:22:17 +0100

beav (1:1.40-15) unstable; urgency=low

  * Include patch from James A Morrison for Hurd support.
  * Update to standards version 3.5.5.

 -- Martin Mitchell <martin@debian.org>  Sat, 21 Jul 2001 23:37:20 +1000

beav (1:1.40-14) unstable; urgency=low

  * Update to standards version 3.5.2. (closes: #91113, #91385)
  * Add build depends. (closes: #70223)

 -- Martin Mitchell <martin@debian.org>  Tue, 27 Mar 2001 00:18:25 +1000

beav (1:1.40-13) unstable; urgency=low

  * Update to standards version 2.4.1.
  * Recompile for ncurses4.

 -- Martin Mitchell <martin@debian.org>  Sun, 11 Oct 1998 01:27:50 +1000

beav (1:1.40-12) unstable; urgency=low

  * Fix missing separator in debian/rules. (#25766)

 -- Martin Mitchell <martin@debian.org>  Sat, 29 Aug 1998 18:27:04 +1000

beav (1:1.40-11) unstable; urgency=low

  * Include patch for 32 bit float handling. (#5043)
    (Thanks Randy Gobbel)

 -- Martin Mitchell <martin@debian.org>  Sat, 13 Dec 1997 19:37:23 +1100

beav (1:1.40-10) unstable; urgency=low

  * Edit control file description to conform with policy. (#3558)

 -- Martin Mitchell <martin@debian.org>  Wed,  3 Dec 1997 01:15:55 +1100

beav (1:1.40-9) unstable; urgency=low

  * New maintainer.
  * Strip beav binary.

 -- Martin Mitchell <martin@debian.org>  Wed, 26 Nov 1997 16:56:02 +1100

beav (1:1.40-8.1) unstable; urgency=low

  * Non-maintainer release.
  * Use epoch in version.

 -- Martin Mitchell <martin@debian.org>  Tue,  4 Nov 1997 01:55:32 +1100

beav (1.40-7.1) unstable; urgency=low
  
  * Non-maintainer release.
  * Libc6 compile.
  * Update from pre 2.0.0.0 standards.
  
 -- Martin Mitchell <martin@debian.org>  Thu, 30 Oct 1997 15:05:31 +1100

Modifications to the beav140- package for debian linux

Changes by Bill Mitchell <mitchell@mdd.comm.mot.com>

1.  Added debian.* files.
2.  Added Makefile
    (It's makefile.bsd with -DBSD removed and some flags changed)
3.  Added beav.1

Changes for beav-140-2

1.  Changed debian.rules to Ian Murdock format.
    Made related changes in debian.control.

2.  Added some bolding of beav commands in beav.1.

3.  Added beav.1

Changes for beav-140-3

1.  Cleaned up control file description and extended description.

Changes for beav-140-4

Priority:  Routine
Changes:  Administrative changes
 Changed beav.1 file mode from 755 to 644
 Added "SECTION: editors" to control file

Changes for beav-140-5
	elf package
	*  rebuilt for elf

Changes for beav-140-6
	elf package
	* rebuilt using ncurses shared lib
	* changed ncurses-runtime dependency to ncurses3.0

Changes for beav-140-7
	elf package
	* source package multi-architecture compatability changes

Local variables:
mode:	debian-changelog
End:
