## beav 1.40-11

=== debian/control ===
Source: beav
Section: editors
Priority: optional
Maintainer: Martin Mitchell <martin@debian.org>
Standards-Version: 2.3.0.1

Package: beav
Architecture: any
Depends: ${shlibs:Depends}
Description: Binary Editor And Viewer (beav)
 beav is an editor for binary files containing arbitrary
 data. Text file editors, on the other hand, expect the
 files they edit to contain textual data, and/or to be
 formatted in a certain way (e.g. lines of printable
 characters delimited by newline characters).
 .
 With beav, you can edit a file in HEX, ASCII, EBCDIC,
 OCTAL, DECIMAL, and BINARY. You can display but not edit
 data in FLOAT mode. You can search or search and replace
 in any of these modes. Data can be displayed in BYTE,
 WORD, or DOUBLE WORD formats. While displaying WORDS
 or DOUBLE WORDS the data can be displayed in INTEL's or
 MOTOROLA's byte ordering. Data of any length can be
 inserted at any point in the file. The source of this
 data can be the keyboard, another buffer, or a file.
 Any data that is being displayed can be sent to a printer
 in the displayed format. Files that are bigger than
 memory can be handled.
