## beav 1.40-13

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 2.4.1
 
 Package: beav
 Architecture: any
