=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 CFLAGS = -O2 -g -DUNIX -DNOPROTO
 LDFLAGS = -s
-ARCH = $(shell dpkg --print-architecture)
+ARCH = $(shell dpkg --print-installation-architecture)
 STRIP=strip
 
 build:
@@ -45,7 +45,7 @@
 binary: binary-indep binary-arch
 
 checkroot:
-        $(checkdir)
-        test root = "`whoami`"
+	$(checkdir)
+	test root = "`whoami`"
 
 .PHONY: binary binary-arch binary-indep clean checkroot
