## beav 1.40-15

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: beav
 Section: editors
 Priority: optional
+Build-Depends: libncurses-dev
 Maintainer: Martin Mitchell <martin@debian.org>
-Standards-Version: 2.4.1
+Standards-Version: 3.5.5
 
 Package: beav
 Architecture: any
