=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS = -O2 -g -DUNIX -DNOPROTO
 LDFLAGS = -s
 ARCH = $(shell dpkg --print-installation-architecture)
-STRIP=strip
+STRIP=strip --strip-unneeded --remove-section=.note --remove-section=.comment
 
 build:
 # Builds the binary package.
@@ -27,17 +27,17 @@
 binary-arch:	checkroot build
 	test -f build || make -f debian.rules build
 	rm -rf debian/tmp
-	install -d -g root -m 755 -o root debian/tmp/usr/doc/beav debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/man/man1
+	install -d -g root -m 755 -o root debian/tmp/usr/share/doc/beav debian/tmp/DEBIAN debian/tmp/usr/bin debian/tmp/usr/share/man/man1
 	install -g root -m 755 -o root beav debian/tmp/usr/bin/beav
 	$(STRIP) debian/tmp/usr/bin/beav
-	install -g root -m 644 -o root beav.1 debian/tmp/usr/man/man1/beav.1
-	gzip -9v debian/tmp/usr/man/man1/*
-	cp debian/changelog debian/tmp/usr/doc/beav/changelog.Debian
-	cp beav140.txt debian/tmp/usr/doc/beav
-	gzip -9v debian/tmp/usr/doc/beav/*
-	cp debian/copyright debian/tmp/usr/doc/beav
+	install -g root -m 644 -o root beav.1 debian/tmp/usr/share/man/man1/beav.1
+	gzip -9v debian/tmp/usr/share/man/man1/*
+	cp debian/changelog debian/tmp/usr/share/doc/beav/changelog.Debian
+	cp beav140.txt debian/tmp/usr/share/doc/beav
+	gzip -9v debian/tmp/usr/share/doc/beav/*
+	cp debian/copyright debian/tmp/usr/share/doc/beav
 	dpkg-shlibdeps debian/tmp/usr/bin/beav
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
